You are not logged in.

#1 2010-08-27 14:26:13

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Yaourt Complaining About Several Programs "Not Found"

Hello everyone. I feel like this is a very obvious reason for this that I must be missing, but here goes. Ever since yesterday, whenever I run "yaourt -Syu --aur" the following is the output:

==> Searching for new version on AUR
bin32-4l: up to date
bin32-gens-gs: up to date
bin32-lightscribe: up to date
bin32-lightscribe-labeler: up to date
bin32-zsnes: up to date
dgen-sdl: up to date
firefox-kde-opensuse: up to date
flashplugin: not found on AUR
handbrake-svn: up to date
kdebase-kappfinder: not found on AUR
kmozillahelper: up to date
lib32-alsa-lib: not found on AUR
lib32-atk: not found on AUR
lib32-avahi: not found on AUR
lib32-cairo: not found on AUR
lib32-db: not found on AUR
lib32-dbus-core: not found on AUR
lib32-e2fsprogs: not found on AUR
lib32-expat: not found on AUR
lib32-flac: not found on AUR
lib32-fontconfig: not found on AUR
lib32-freetype2: not found on AUR
lib32-gcc-libs: not found on AUR
lib32-glib2: not found on AUR
lib32-glibc: not found on AUR
lib32-gnutls: not found on AUR
lib32-gtk2: not found on AUR
lib32-heimdal: not found on AUR
lib32-libcap: not found on AUR
lib32-libcups: not found on AUR
lib32-libdrm: not found on AUR
lib32-libgcrypt: not found on AUR
lib32-libgl: not found on AUR
lib32-libgpg-error: not found on AUR
lib32-libice: not found on AUR
lib32-libjpeg: not found on AUR
lib32-libogg: not found on AUR
lib32-libpng: not found on AUR
lib32-libpng12: up to date
lib32-libsasl: not found on AUR
lib32-libsm: not found on AUR
lib32-libsndfile: not found on AUR
lib32-libstdc++5: up to date
lib32-libtasn1: not found on AUR
lib32-libtiff: not found on AUR
lib32-libvorbis: not found on AUR
lib32-libx11: not found on AUR
lib32-libxau: not found on AUR
lib32-libxcb: not found on AUR
lib32-libxcomposite: not found on AUR
lib32-libxcursor: not found on AUR
lib32-libxdamage: not found on AUR
lib32-libxdmcp: not found on AUR
lib32-libxext: not found on AUR
lib32-libxfixes: not found on AUR
lib32-libxft: not found on AUR
lib32-libxi: not found on AUR
lib32-libxinerama: not found on AUR
lib32-libxrandr: not found on AUR
lib32-libxrender: not found on AUR
lib32-libxt: not found on AUR
lib32-libxxf86dga: not found on AUR
lib32-libxxf86vm: not found on AUR
lib32-lzo2: not found on AUR
lib32-mesa: not found on AUR
lib32-ncurses: not found on AUR
lib32-opencdk: not found on AUR
lib32-openssl: not found on AUR
lib32-pango: not found on AUR
lib32-pcre: not found on AUR
lib32-pixman: not found on AUR
lib32-readline: not found on AUR
lib32-sdl: not found on AUR
lib32-util-linux-ng: not found on AUR
lib32-xcb-util: not found on AUR
lib32-zlib: not found on AUR
mediatomb: up to date
minitube: up to date
quickaccess-plasmoid: up to date
smooth-tasks: up to date
thunderbird-branded: up to date
usb-creator: up to date
virtualbox_bin: up to date
wahcade: up to date
xulrunner-kde-opensuse: up to date

I'm not really sure what to make of this. Did those 32-bit packages and libraries get removed, or perhaps I removed a package that they needed?

Offline

#2 2010-08-27 14:30:02

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

They have been moved over to the multilib repo.
enable the multilib repo in pacman.conf and issue -Syu


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#3 2010-08-27 14:33:43

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: Yaourt Complaining About Several Programs "Not Found"

Offline

#4 2010-08-27 14:37:39

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:

They have been moved over to the multilib repo.
enable the multilib repo in pacman.conf and issue -Syu

Thanks. One last question about this though. It asked me if I wanted to replace gcc-libs with gcc-libs-multilib. Are there any repercussions in my doing that?

Offline

#5 2010-08-27 14:38:14

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

jlacroix wrote:

Thanks. One last question about this though. It asked me if I wanted to replace gcc-libs with gcc-libs-multilib. Are there any repercussions in my doing that?

Nope. I did it myself yesterday.


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#6 2010-08-27 14:41:14

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Thanks. Last question (this time I swear). I did as you guys suggested, and it did fix it, except for the following:

lib32-gcc-libs: not found on AUR
lib32-libsasl: not found on AUR

I tried removing those packages, but a few programs I use depend on them. Am I correct to assume I'm just waiting for those to get moved?

Offline

#7 2010-08-27 14:44:38

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: Yaourt Complaining About Several Programs "Not Found"

gcc-libs-multilib

Sorry, can't find the replacement for lib32-libsasl.

Last edited by karol (2010-08-27 14:46:19)

Offline

#8 2010-08-27 14:48:33

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

karol wrote:

gcc-libs-multilib

Sorry, can't find the replacement for lib32-libsasl.

I already have gcc-libs-multilib installed and it still complains. sad

Offline

#9 2010-08-27 14:49:08

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

what program makes use of lib32-libsasl? They might have missed a dependency while repackaging. Have you tried a -Syu ? Normally it would find the appropriate replacements.

I remember I had 3 replacements including gcc-libs-multilib v4l-utils and there was one more which I cannot recollect.


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#10 2010-08-27 14:53:45

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:

what program makes use of lib32-libsasl? They might have missed a dependency while repackaging. Have you tried a -Syu ? Normally it would find the appropriate replacements.

I remember I had 3 replacements including gcc-libs-multilib v4l-utils and there was one more which I cannot recollect.

I removed libsasl, it didn't complain. However, when I try to remove lib32-gcc-libs, I get:

:: bin32-4l: requires lib32-gcc-libs
:: bin32-zsnes: requires lib32-gcc-libs
:: lib32-libstdc++5: requires lib32-gcc

lib32-libstdc++5 and and bin32-4l seems to be used by my lightscribe program (32-bit).

Offline

#11 2010-08-27 14:57:56

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

once you install gcc-libs-multilib, you will have a replacement for lib32-gcc-libs. I would suggest that you just -Syu instead of individually removing/installing the libraries.

You haven't answered that question ...and this is the 3rd time I am mentioning it smile


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#12 2010-08-27 15:06:08

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:

once you install gcc-libs-multilib, you will have a replacement for lib32-gcc-libs. I would suggest that you just -Syu instead of individually removing/installing the libraries.

You haven't answered that question ...and this is the 3rd time I am mentioning it smile

Sorry, yes I have done -Syu. It tells me that there is nothing to do.

gcc-libs-multilib is installed, but when I try to remove lib32-gcc-libs, it complains like this:

:: bin32-4l: requires lib32-gcc-libs
:: bin32-zsnes: requires lib32-gcc-libs
:: lib32-libstdc++5: requires lib32-gcc

Last edited by jlacroix (2010-08-27 15:06:37)

Offline

#13 2010-08-27 15:09:13

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

Can you show us your pacman.conf ?


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#14 2010-08-27 15:15:46

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:

Can you show us your pacman.conf ?

#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
SyncFirst   = pacman
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o
#CleanMethod = KeepInstalled

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   = samba smbclient
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options (all disabled by default)
#UseSyslog
#ShowSize
#UseDelta
#TotalDownload

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
## Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

[core]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

#[community-testing]
## Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[archlinuxfr]
Server = http://repo.archlinux.fr/x86_64

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

Offline

#15 2010-08-27 15:24:55

hokasch
Member
Registered: 2007-09-23
Posts: 1,461

Re: Yaourt Complaining About Several Programs "Not Found"

I cleaned out packages depending/providing lib32 stuff from the aur by removing everything from a "yaourt -Qs lib32 | grep local". This will also show you packages from the AUR with dependencies not yet updated to  the new multilib repo (I only encountered zattoo). Just rebuild them with the new ones, and please leave an AUR comment afterwards.

edit:
@ jlacroix
sorry for being cryptic...

:: bin32-4l: requires lib32-gcc-libs
:: bin32-zsnes: requires lib32-gcc-libs
:: lib32-libstdc++5: requires lib32-gcc

What I meant with above comment: rebuild those packages still depending on lib32-gcc-libs but change the PKGBUILD to depend on gcc-libs-multilib instead. Afterwards pacman should allow you to remove lib32-gcc-libs.

Last edited by hokasch (2010-08-27 15:31:51)

Offline

#16 2010-08-27 15:35:41

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

hokasch wrote:

I cleaned out packages depending/providing lib32 stuff from the aur by removing everything from a "yaourt -Qs lib32 | grep local". This will also show you packages from the AUR with dependencies not yet updated to  the new multilib repo (I only encountered zattoo). Just rebuild them with the new ones, and please leave an AUR comment afterwards.

edit:
@ jlacroix
sorry for being cryptic...

:: bin32-4l: requires lib32-gcc-libs
:: bin32-zsnes: requires lib32-gcc-libs
:: lib32-libstdc++5: requires lib32-gcc

What I meant with above comment: rebuild those packages still depending on lib32-gcc-libs but change the PKGBUILD to depend on gcc-libs-multilib instead. Afterwards pacman should allow you to remove lib32-gcc-libs.

Thanks, but the depends line for zsnes looks like this:

depends=('lib32-libgl' 'lib32-libpng>=1.4.0' 'lib32-sdl>=1.2' 'lib32-ncurses' '$

I don't even see lib32-gcc-libs listed there, so I don't know where that's coming from. sad

Offline

#17 2010-08-27 15:41:09

hokasch
Member
Registered: 2007-09-23
Posts: 1,461

Re: Yaourt Complaining About Several Programs "Not Found"

hmm? check pacman -Qi bin32-zsnes. It is in the PKGBUILD from AUR...
http://aur.archlinux.org/packages/bin32 … s/PKGBUILD

Offline

#18 2010-08-27 15:44:20

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

hokasch wrote:

hmm? check pacman -Qi bin32-zsnes. It is in the PKGBUILD from AUR...
http://aur.archlinux.org/packages/bin32 … s/PKGBUILD

Name           : bin32-zsnes
Version        : 1.51-7
URL            : http://www.zsnes.com/
Licenses       : GPL
Groups         : None
Provides       : None
Depends On     : lib32-libgl  lib32-libpng>=1.4.0  lib32-sdl>=1.2
                 lib32-ncurses  lib32-libxdamage  lib32-gcc-libs
Optional Deps  : None
Required By    : None
Conflicts With : zsnes  zsnes-wip
Replaces       : None
Installed Size : 3140.00 K
Packager       : Unknown Packager
Architecture   : x86_64
Build Date     : Thu 04 Feb 2010 10:30:09 AM EST
Install Date   : Thu 04 Feb 2010 10:30:13 AM EST
Install Reason : Explicitly installed
Install Script : No
Description    : A Super Nintendo emulator

Offline

#19 2010-08-27 15:46:22

hokasch
Member
Registered: 2007-09-23
Posts: 1,461

Re: Yaourt Complaining About Several Programs "Not Found"

See? Just rebuild those packages with adjusted dependency line.

Offline

#20 2010-08-27 15:48:48

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

hokasch wrote:

See? Just rebuild those packages with adjusted dependency line.

I'm not sure how to rebuild those packages. Are you saying I should rebuild those packages and then upload them to the repository for others to download? I'd love to help out like that but never have before. I would imagine that those packages depending on lib32-gcc-libs would be a bug, wouldn't it?

Offline

#21 2010-08-27 15:51:32

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

for now, wheen you use yaourt to install a package, it will ask you whether you want to edit the PKGBUILD. Say yes. Then change the PKGBUILD  -- especially the depends array to change lib32-gcc-libs to gcc-lib-multilib then save the PKGBUILD and continue the installation process.

That should use the newer gcc-lib-multilib instead of the lib32-gcc-libs. Do similar for other dependencies (if you have to)


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#22 2010-08-27 15:55:02

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:

for now, wheen you use yaourt to install a package, it will ask you whether you want to edit the PKGBUILD. Say yes. Then change the PKGBUILD  -- especially the depends array to change lib32-gcc-libs to gcc-lib-multilib then save the PKGBUILD and continue the installation process.

That should use the newer gcc-lib-multilib instead of the lib32-gcc-libs. Do similar for other dependencies (if you have to)

That part I understand, but when I went to edit the ZSNES package, lib32-gcc-libs wasn't even listed as a dependency. As far as editing the dependencies of dependencies (if that's what you're suggesting) I have no idea how to do that.

Offline

#23 2010-08-27 15:57:57

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

jlacroix wrote:
Inxsible wrote:

for now, wheen you use yaourt to install a package, it will ask you whether you want to edit the PKGBUILD. Say yes. Then change the PKGBUILD  -- especially the depends array to change lib32-gcc-libs to gcc-lib-multilib then save the PKGBUILD and continue the installation process.

That should use the newer gcc-lib-multilib instead of the lib32-gcc-libs. Do similar for other dependencies (if you have to)

That part I understand, but when I went to edit the ZSNES package, lib32-gcc-libs wasn't even listed as a dependency. As far as editing the dependencies of dependencies (if that's what you're suggesting) I have no idea how to do that.

Sorry, i thought you were asking how to edit PKGBUILDs

is it probably in makedepends array?


*goes off to look at the PKGBUILD....

EDIT: Just checked the PKGBUILD linked by hokasch --- the lib32-gcc-libs IS RIGHT THERE in the depends array. The last one.

PKGBUILD wrote:

depends=('lib32-libgl' 'lib32-libpng>=1.4.0' 'lib32-sdl>=1.2' 'lib32-ncurses' 'lib32-libxdamage' 'lib32-gcc-libs')

If you are looking at a different PKGBUILD, can you provide us a link to it?

Last edited by Inxsible (2010-08-27 15:59:44)


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#24 2010-08-27 16:00:26

jlacroix
Member
Registered: 2009-08-16
Posts: 576

Re: Yaourt Complaining About Several Programs "Not Found"

Inxsible wrote:
jlacroix wrote:
Inxsible wrote:

for now, wheen you use yaourt to install a package, it will ask you whether you want to edit the PKGBUILD. Say yes. Then change the PKGBUILD  -- especially the depends array to change lib32-gcc-libs to gcc-lib-multilib then save the PKGBUILD and continue the installation process.

That should use the newer gcc-lib-multilib instead of the lib32-gcc-libs. Do similar for other dependencies (if you have to)

That part I understand, but when I went to edit the ZSNES package, lib32-gcc-libs wasn't even listed as a dependency. As far as editing the dependencies of dependencies (if that's what you're suggesting) I have no idea how to do that.

Sorry, i thought you were asking how to edit PKGBUILDs

is it probably in makedepends array?


*goes off to look at the PKGBUILD....

EDIT: Just checked --- the lib32-gcc-libs IS RIGHT THERE in the depends array. The last one.

PKGBUILD wrote:

depends=('lib32-libgl' 'lib32-libpng>=1.4.0' 'lib32-sdl>=1.2' 'lib32-ncurses' 'lib32-libxdamage' 'lib32-gcc-libs')

I'll look at it again in an hour or so. I am using SSH to log into the computer which is at home, so maybe my SSH window is too small to see it. So I just remove it, or change it?

Offline

#25 2010-08-27 16:03:01

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,079

Re: Yaourt Complaining About Several Programs "Not Found"

change it to gcc-lib-multilib


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

Board footer

Powered by FluxBB